<?php

/**
 * @file
 * Contains \Drupal\s3_db_backup\S3DatabaseBackupFile
 */

namespace Drupal\s3_db_backup;

/**
 * Class S3DatabaseBackupFile.
 */
class S3DatabaseBackupFile {

  /**
   * File name
   *
   * @var string
   */
  protected $name;

  /**
   * File type
   *
   * @var string
   */
  protected $type;

  /**
   * File URI
   *
   * @var string
   */
  protected $uri;

  /**
   * Return the file name.
   *
   * @return string
   */
  public function getFileName(): string {
    return $this->name;
  }

  /**
   * Set the file uri.
   *
   * @param string $name
   */
  public function setFileName(string $name) {
    $this->name = $name;
  }

  /**
   * Return the file type.
   *
   * @return string
   */
  public function getFileType(): string {
    return $this->type;
  }

  /**
   * Set the file type.
   *
   * @param string $type
   */
  public function setFileType(string $type) {
    $this->type = $type;
  }

  /**
   * Return the file uri.
   *
   * @return string
   */
  public function getFileUri(): string {
    return $this->uri;
  }

  /**
   * Set the file uri.
   *
   * @param string $uri
   */
  public function setFileUri(string $uri) {
    $this->uri = $uri;
  }

}
